Need fix to aacraid driver to prevent panic

Bug #1770095 reported by bugproxy on 2018-05-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
Critical
Canonical Kernel Team
linux (Ubuntu)
Critical
Joseph Salisbury
Bionic
Critical
Joseph Salisbury
Cosmic
Critical
Joseph Salisbury

Bug Description

== SRU Justification ==
A commit introduced in mainline v4.14-rc1 to aacraid
(b60710ec7d7ab1ca277b458338563ac21b393906) introduced a regression whereby a
panic may happen under certain recovery situations.

This regression is fixed by linux-next commit 7d3af7d96af7.

== Fix ==
7d3af7d96af7 ("scsi: aacraid: Correct hba_send to include iu_type")

== Regression Potential ==
Low. This patch fixes a current regression. It was cc'd to upstream
stable, so it has had additonal upstream review.

== Test Case ==
A test kernel was built with this patch and tested by the original bug reporter.
The bug reporter states the test kernel resolved the bug.

== Comment: #0 - Douglas Miller <email address hidden> - 2018-05-08 15:45:13 ==
+++ This bug was initially created as a clone of Bug #167565 +++

A recent commit to aacraid (b60710ec7d7ab1ca277b458338563ac21b393906) introduced a bug whereby a panic may happen under certain recovery situations. The following commit fixes that:

https://git.kernel.org/pub/scm/linux/kernel/git/jejb/scsi.git/commit/?h=fixes&id=7d3af7d96af7b9f51e1ef67b6f4725f545737da2

We need this commit backported to Ubuntu 18.04

bugproxy (bugproxy) on 2018-05-09
tags: added: architecture-ppc64le bugnameltc-167566 severity-critical targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → linux (Ubuntu)
Changed in ubuntu-power-systems:
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → Canonical Kernel Team (canonical-kernel-team)
tags: added: triage-g
Changed in linux (Ubuntu):
importance: Undecided → Critical
status: New → Triaged
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Bionic):
status: New → Triaged
importance: Undecided → Critical
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Bionic):
status: Triaged → In Progress
Changed in linux (Ubuntu):
status: Triaged → In Progress
Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with linux-next commit 7d3af7d96af7b9f51e1ef67b6f4725f545737da2. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1770095

Can you test this kernel and see if it resolves this bug?

Note about installing test kernels:
• If the test kernel is prior to 4.15(Bionic) you need to install the linux-image and linux-image-extra .deb packages.
• If the test kernel is 4.15(Bionic) or newer, you need to install the linux-image-unsigned, linux-modules and linux-modules-extra .deb packages.

Thanks in advance

------- Comment From <email address hidden> 2018-05-15 16:18 EDT-------
The source code package seems to be empty, so I can't confirm by inspection. Still awaiting actually load and test. I do see that this experimental kernel did not alter the version so it will collide with any installation of 4.15.0-20.21 "standard" install.

Joseph Salisbury (jsalisbury) wrote :

Would you like me to build another test kernel with a version, so it won't collide?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-05-16 11:05 EDT-------
(In reply to comment #8)
> Would you like me to build another test kernel with a version, so it won't
> collide?

I haven't heard back from Naveed, who was going to test last night. I hate to ask for a new kernel if he was able to test.

But, this brings up a question I had. I am not familiar with the Ubuntu build procedures, so I'm just comparing to RedHat and Linux Makefile. In those build methods, there is a way to append an arbitrary string to the version (EXTRAVERSION) and it allows the kernel to avoid conflicts. Does such a mechanism exist for Ubuntu builds? Up to now, it seems that only numeric strings are being appended (e.g. "-21", "-90").

Joseph Salisbury (jsalisbury) wrote :

Yes, you can add EXTRAVERSION info to the kernel name. This is done in the file: ~/debian.master/changelog. The top line would be changed like the following:

linux (4.15.0-20.21) bionic; urgency=medium

TO

linux (4.15.0-20.21~lp1770095) bionic; urgency=medium

Manoj Iyer (manjo) on 2018-05-24
Changed in ubuntu-power-systems:
status: Triaged → In Progress
Joseph Salisbury (jsalisbury) wrote :

Is there any update on testing of the test kernel?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-06-12 16:13 EDT-------
We don't see the panic anymore, with the test kernel.

Joseph Salisbury (jsalisbury) wrote :
description: updated
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in ubuntu-power-systems:
status: In Progress → Fix Committed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-07-02 09:45 EDT-------
(In reply to comment #14)
> SRU request submitted:
> https://lists.ubuntu.com/archives/kernel-team/2018-June/093307.html

Any updates?

Frank Heimes (frank-heimes) wrote :

It's already in the SRU process, got already two acks and will be released with the end of the netxt SRU cycle.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-07-23 09:57 EDT-------
(In reply to comment #16)
>
>
>
> It's already in the SRU process, got already two acks and will be released
> with the end of the netxt SRU cycle.

Was this fix released? Can this be closed?

Joseph Salisbury (jsalisbury) wrote :

The fix for this bug is still in -proposed but will be released shortly.

Changed in linux (Ubuntu Cosmic):
status: In Progress → Fix Committed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-08-06 09:22 EDT-------
(In reply to comment #18)
> The fix for this bug is still in -proposed but will be released shortly.

Was this released? Please adjust LP and LTC Bug accordingly.

Manoj Iyer (manjo) wrote :

Due to the point release, the SRU cycles are currently out sync. Please wait for notification from the kernel team due shortly.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-08-07 11:11 EDT-------
Confirmed that fix is in latest -proposed kernel.

tags: added: verification-done-bionic
removed: verification-needed-bionic
bugproxy (bugproxy) on 2018-08-13
tags: added: targetmilestone-inin1804
removed: targetmilestone-inin---
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-08-20 09:40 EDT-------
(In reply to comment #22)
> Confirmed that fix is in latest -proposed kernel.

When is that GAed (i.e., supported officially)? Should we close?

Launchpad Janitor (janitor) wrote :
Download full text (35.6 KiB)

This bug was fixed in the package linux - 4.15.0-33.36

---------------
linux (4.15.0-33.36) bionic; urgency=medium

  * linux: 4.15.0-33.36 -proposed tracker (LP: #1787149)

  * RTNL assertion failure on ipvlan (LP: #1776927)
    - ipvlan: drop ipv6 dependency
    - ipvlan: use per device spinlock to protect addrs list updates
    - SAUCE: fix warning from "ipvlan: drop ipv6 dependency"

  * ubuntu_bpf_jit test failed on Bionic s390x systems (LP: #1753941)
    - test_bpf: flag tests that cannot be jited on s390

  * HDMI/DP audio can't work on the laptop of Dell Latitude 5495 (LP: #1782689)
    - drm/nouveau: fix nouveau_dsm_get_client_id()'s return type
    - drm/radeon: fix radeon_atpx_get_client_id()'s return type
    - drm/amdgpu: fix amdgpu_atpx_get_client_id()'s return type
    - platform/x86: apple-gmux: fix gmux_get_client_id()'s return type
    - ALSA: hda: use PCI_BASE_CLASS_DISPLAY to replace PCI_CLASS_DISPLAY_VGA
    - vga_switcheroo: set audio client id according to bound GPU id

  * locking sockets broken due to missing AppArmor socket mediation patches
    (LP: #1780227)
    - UBUNTU SAUCE: apparmor: fix apparmor mediating locking non-fs, unix sockets

  * Update2 for ocxl driver (LP: #1781436)
    - ocxl: Fix page fault handler in case of fault on dying process

  * netns: unable to follow an interface that moves to another netns
    (LP: #1774225)
    - net: core: Expose number of link up/down transitions
    - dev: always advertise the new nsid when the netns iface changes
    - dev: advertise the new ifindex when the netns iface changes

  * [Bionic] Disk IO hangs when using BFQ as io scheduler (LP: #1780066)
    - block, bfq: fix occurrences of request finish method's old name
    - block, bfq: remove batches of confusing ifdefs
    - block, bfq: add requeue-request hook

  * HP ProBook 455 G5 needs mute-led-gpio fixup (LP: #1781763)
    - ALSA: hda: add mute led support for HP ProBook 455 G5

  * [Bionic] bug fixes to improve stability of the ThunderX2 i2c driver
    (LP: #1781476)
    - i2c: xlp9xx: Fix issue seen when updating receive length
    - i2c: xlp9xx: Make sure the transfer size is not more than
      I2C_SMBUS_BLOCK_SIZE

  * x86/kvm: fix LAPIC timer drift when guest uses periodic mode (LP: #1778486)
    - x86/kvm: fix LAPIC timer drift when guest uses periodic mode

  * Please include ax88179_178a and r8152 modules in d-i udeb (LP: #1771823)
    - [Config:] d-i: Add ax88179_178a and r8152 to nic-modules

  * Nvidia fails after switching its mode (LP: #1778658)
    - PCI: Restore config space on runtime resume despite being unbound

  * Kernel error "task zfs:pid blocked for more than 120 seconds" (LP: #1781364)
    - SAUCE: (noup) zfs to 0.7.5-1ubuntu16.3

  * CVE-2018-12232
    - PATCH 1/1] socket: close race condition between sock_close() and
      sockfs_setattr()

  * CVE-2018-10323
    - xfs: set format back to extents if xfs_bmap_extents_to_btree

  * change front mic location for more lenovo m7/8/9xx machines (LP: #1781316)
    - ALSA: hda/realtek - Fix the problem of two front mics on more machines
    - ALSA: hda/realtek - two more lenovo models need fixup of MIC_LOCATION

  * Cephfs + fscache: unab...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-08-27 09:24 EDT-------
Closing based on last comment

Frank Heimes (frank-heimes) wrote :

Since commit 7d3af7d96af7 is incl. in 4.17 (and 4.18)
I'm changing the cosmic entry to Fix Released and finally closing the ticket.

using lp:~ubuntu-kernel/ubuntu/+source/linux/+git/cosmic
$ git tag --contains 7d3af7d96af7
Ubuntu-4.17.0-2.3
Ubuntu-4.17.0-4.5
Ubuntu-4.17.0-5.6
Ubuntu-4.17.0-6.7
Ubuntu-4.17.0-7.8
Ubuntu-4.17.0-8.9
Ubuntu-4.17.0-9.10
Ubuntu-4.18.0-7.8
v4.17
v4.18

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Changed in ubuntu-power-systems:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers